"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePrimeInputs = usePrimeInputs;
var _autocomplete = _interopRequireDefault(require("primevue/autocomplete"));
var _button = _interopRequireDefault(require("primevue/button"));
var _cascadeselect = _interopRequireDefault(require("primevue/cascadeselect"));
var _checkbox = _interopRequireDefault(require("primevue/checkbox"));
var _chip = _interopRequireDefault(require("primevue/chip"));
var _colorpicker = _interopRequireDefault(require("primevue/colorpicker"));
var _datepicker = _interopRequireDefault(require("primevue/datepicker"));
var _editor = _interopRequireDefault(require("primevue/editor"));
var _inputmask = _interopRequireDefault(require("primevue/inputmask"));
var _inputnumber = _interopRequireDefault(require("primevue/inputnumber"));
var _inputotp = _interopRequireDefault(require("primevue/inputotp"));
var _inputtext = _interopRequireDefault(require("primevue/inputtext"));
var _knob = _interopRequireDefault(require("primevue/knob"));
var _listbox = _interopRequireDefault(require("primevue/listbox"));
var _multiselect = _interopRequireDefault(require("primevue/multiselect"));
var _password = _interopRequireDefault(require("primevue/password"));
var _radiobutton = _interopRequireDefault(require("primevue/radiobutton"));
var _rating = _interopRequireDefault(require("primevue/rating"));
var _select = _interopRequireDefault(require("primevue/select"));
var _selectbutton = _interopRequireDefault(require("primevue/selectbutton"));
var _slider = _interopRequireDefault(require("primevue/slider"));
var _textarea = _interopRequireDefault(require("primevue/textarea"));
var _togglebutton = _interopRequireDefault(require("primevue/togglebutton"));
var _toggleswitch = _interopRequireDefault(require("primevue/toggleswitch"));
var _treeselect = _interopRequireDefault(require("primevue/treeselect"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function usePrimeInputs() {
  function registerInputs(app) {
    app.component("AutoComplete", _autocomplete.default);
    app.component("Button", _button.default);
    app.component("CascadeSelect", _cascadeselect.default);
    app.component("Checkbox", _checkbox.default);
    app.component("Chip", _chip.default);
    app.component("ColorPicker", _colorpicker.default);
    app.component("DatePicker", _datepicker.default);
    app.component("Editor", _editor.default);
    app.component("InputMask", _inputmask.default);
    app.component("InputNumber", _inputnumber.default);
    app.component("InputOtp", _inputotp.default);
    app.component("InputText", _inputtext.default);
    app.component("Knob", _knob.default);
    app.component("Listbox", _listbox.default);
    app.component("MultiSelect", _multiselect.default);
    app.component("Password", _password.default);
    app.component("RadioButton", _radiobutton.default);
    app.component("Rating", _rating.default);
    app.component("Select", _select.default);
    app.component("SelectButton", _selectbutton.default);
    app.component("Slider", _slider.default);
    app.component("Textarea", _textarea.default);
    app.component("ToggleButton", _togglebutton.default);
    app.component("ToggleSwitch", _toggleswitch.default);
    app.component("TreeSelect", _treeselect.default);
  }
  return {
    registerInputs
  };
}